Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQHGroupBox Class Reference

The TQHGroupBox widget organizes widgets in a group with one horizontal row. More...

`#include <ntqhgroupbox.h>`

Inherits TQGroupBox.

List of all member functions.

## Public Members

- TQHGroupBox ( TQWidget * parent = 0, const char * name = 0 )
- TQHGroupBox ( const TQString & title, TQWidget * parent = 0, const char * name = 0 )
- ~TQHGroupBox ()

## Detailed Description

The TQHGroupBox widget organizes widgets in a group with one horizontal row.

TQHGroupBox is a convenience class that offers a thin layer on top of TQGroupBox. Think of it as a TQHBox that offers a frame with a title.

See also TQVGroupBox, Widget Appearance and Style, Layout Management, and Organizers.

## Member Function Documentation

### TQHGroupBox::TQHGroupBox ( TQWidget * parent = 0, const char * name = 0 )

Constructs a horizontal group box with no title.

The parent and name arguments are passed to the TQWidget constructor.

### TQHGroupBox::TQHGroupBox ( const TQString & title, TQWidget * parent = 0, const char * name = 0 )

Constructs a horizontal group box with the title title.

The parent and name arguments are passed to the TQWidget constructor.

### TQHGroupBox::~TQHGroupBox ()

Destroys the horizontal group box, deleting its child widgets.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.